PACREPAIRFILE(1)

NAME
pacrepairfile - reset properties on alpm-managed files

SYNOPSIS
 pacrepairfile [options] (--gid|--mode|--mtime|--uid)... <file>...
 pacrepairfile (--help|--version)

DESCRIPTION
Resets file properties for alpm-managed files based on MTREE data.

If stdin is not connected to a terminal, files will be read from stdin.

OPTIONS

--config=path
    Set an alternate configuration file path.

--dbpath=path
    Set an alternate database path.

--root=path
    Set an alternate installation root.

--sysroot=path
    Set an alternate system root. See pacutils-sysroot(7).

--quiet
    Do not display progress information.

--package=pkgname
    Search pkgname for file properties. May be specified multiple times. If --package is not specified, all installed packages will be searched.

--help
    Display usage information and exit.

--version
    Display version information and exit.

  Fields

--gid
    Reset file owner group id.

--mode
    Reset file permissions.

--mtime
    Reset file modification time.

--uid
    Reset file owner user id.

CAVEATS
pacrepairfile determines whether or not to read files from stdin based on a naive check using isatty(3). If pacrepairfile is called in an environment, such as a shell function or script being used in a pipe, where stdin is not connected to a terminal but does not contain files to reset, pacrepairfile should be called with stdin closed. For POSIX-compatible shells, this can be done with "<&-".

In order for pacrepairfile to reset a file's properties, the package which owns the file must have MTREE data.